package com.brilliance.isc.vo.lg;


import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.common.trnmod.vo.SwiaddVo;
import com.brilliance.isc.common.vo.AddbcbVo;
import com.brilliance.isc.vo.model.Ncdgrp;
import com.brilliance.isc.vo.model.Nidgrp;
import com.brilliance.isc.vo.model.Nitp;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class NitameStoreVo extends BaseTransactionVo {

    private Nidgrp nidgrp;

    private Nidgrp oldnidgrp;

    //与前端模型保持一致
    private NitamepVo nitamep;

    //与前端模型保持一致
    private SwiaddVo swiadd;

    //前端修改的字段
    private NitameInfoVo nitameInfoVo;

    private Ncdgrp ncdgrp;

    private Nitp nitp;

    private AddbcbVo addbcb;

    @Override
    public void reset() {
        if (nidgrp == null) {
            nidgrp = new Nidgrp();
        }
        //nidgrp.reset();
        if (oldnidgrp == null) {
            oldnidgrp = new Nidgrp();
        }
        //oldnidgrp.reset();
        if (nitamep == null) {
            nitamep = new NitamepVo();
        }
        nitamep.reset();
        if (swiadd == null) {
            swiadd = new SwiaddVo();
        }
        swiadd.reset();
        if (nitameInfoVo == null) {
            nitameInfoVo = new NitameInfoVo();
        }
        nitameInfoVo.reset();
        if (nitp == null){
            nitp = new Nitp();
        }
        if (addbcb == null) {
            addbcb = new AddbcbVo();
        }
    }
}
